Subject: [sfc] SF and SFC awareness

From: Sankar Ramamoorthi <[email-masked]>
Date: Thu, 13 Nov 2014 19:23:56 +0000

Hi,

I just recently joined the SFC mailing list and catching up on SFC drafts.

Please bear with me if these questions have been already discussed.

A basic question on SFC architecture (draft-ietf-sfc-architecture-02.txt)

To what extent an SF should be aware of SFC or SFP.

The possible scenarios I see are

a)	SF is completely unaware of SFC/SFP that it is participating in.  Many existing SF functions may fall in this category.

b)	SF is aware of  SFP to the extent that it can support a simple construct such an interface-pair per SFP (left interface, right interface), where SF will take responsibility to ensure packets arriving on the left interface will be sent to right interface and vice-versa. SF itself is not aware of SFP beyond following the rules of the simple construct (interface-pair).

c)	SF is aware of  SFP by  being able to parse and preserve a special header (nsh) to gleam information about the SFP it is participating in and reflecting it back to SFF when transmitting the packets.

d)	SF is aware of SFC as a opaque entity through OAM and can pick an SFC (opaque value) through policy decisions. 

e)	SF is aware of SFC details through OAM  and can influence the selection of  next SF through policy decisions. 

The question I have is

-	Is there a need for option e) where SF is aware of next SF in SFC? Should just treating SFC as a opaque value is sufficient?

If these points are already described in some draft please point me to it.

Thanks,

Sankar